/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderMoneda implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Moneda moneda = (Moneda) o;

        Listcell lc = new Listcell(moneda.getMonedaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(moneda.getDescmoneda());
        lc.setParent(lstm);

        if (ApplicationProperties.getInstance().mostrarEquivalencia()) {
            lc = new Listcell(moneda.getEquivalenciaId());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", moneda);
    }
}
